format_version: v1.0
type: UniqueComponent
attributes: {id: sercom4}
children:
- type: Symbols
  children:
  - type: Hex
    attributes: {id: I2CM_BAUD}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: sercom4, value: '15'}
  - type: String
    attributes: {id: RECEIVE_DATA_REGISTER}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: sercom4, value: '&(SERCOM4_REGS->USART_INT.SERCOM_DATA)'}
  - type: KeyValueSet
    attributes: {id: SERCOM_MODE}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: readOnly}
        children:
        - {type: Value, value: 'true'}
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: sercom4, value: '0'}
  - type: File
    attributes: {id: SERCOM_USART_COMMON_HEADER}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: enabled}
        children:
        - {type: Value, value: 'true'}
  - type: File
    attributes: {id: SERCOM_USART_HEADER}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: enabled}
        children:
        - {type: Value, value: 'true'}
  - type: File
    attributes: {id: SERCOM_USART_SOURCE}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: enabled}
        children:
        - {type: Value, value: 'true'}
  - type: Integer
    attributes: {id: SPI_BAUD_REG_VALUE}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: sercom4, value: '1'}
  - type: String
    attributes: {id: TRANSMIT_DATA_REGISTER}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: sercom4, value: '&(SERCOM4_REGS->USART_INT.SERCOM_DATA)'}
  - type: Integer
    attributes: {id: USART_BAUD_VALUE}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: sercom4, value: '35337'}
  - type: KeyValueSet
    attributes: {id: USART_FORM}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: sercom4, value: '0'}
      - type: User
        attributes: {value: '1'}
  - type: Boolean
    attributes: {id: USART_INTERRUPT_MODE_ENABLE}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: sercom4, value: 'false'}
  - type: Boolean
    attributes: {id: USART_LIN_MASTER_SUPPORTED}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: sercom4, value: 'false'}
  - type: KeyValueSet
    attributes: {id: USART_OPERATING_MODE}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: readOnly}
        children:
        - {type: Value, value: 'true'}
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: sercom4, value: '0'}
  - type: Boolean
    attributes: {id: USART_RING_BUFFER_MODE_ENABLE}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: sercom4, value: 'false'}
  - type: KeyValueSet
    attributes: {id: USART_RXPO}
    children:
    - type: Values
      children:
      - type: User
        attributes: {value: '1'}
  - type: Integer
    attributes: {id: USART_SAMPLE_COUNT}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: sercom4, value: '16'}
  - type: Integer
    attributes: {id: USART_SAMPLE_RATE}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: sercom4, value: '0'}
- type: Attachments
  children:
  - type: DirectCapability
    attributes: {id: SERCOM4_I2C}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: enabled}
        children:
        - {type: Value, value: 'false'}
  - type: DirectCapability
    attributes: {id: SERCOM4_SPI}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: enabled}
        children:
        - {type: Value, value: 'false'}
  - type: DirectCapability
    attributes: {id: SERCOM4_UART}
    children:
    - type: Attributes
      children:
      - type: String
        attributes: {id: targetComponentID}
        children:
        - {type: Value, value: stdio}
      - type: String
        attributes: {id: targetAttachmentID}
        children:
        - {type: Value, value: UART}
- type: ElementPosition
  attributes: {x: '19', y: '152', id: sercom4}
